You are not logged in.

#1 2018-11-02 16:19:13

apollo22
Member
Registered: 2018-04-13
Posts: 6

[SOLVED] AUR package breaks pacman -R with zbar-gtk

As you can see from the logs below, I couldn't remove one package. It turns out it was because I installed another package from the AUR (qtqr). It is obviously a bug, but does it often happen and should I file a bug for it ?
I enventually uninstalled all the required packages, then uninstalled zbar-gtk, then reinstalled qtqr.

# pacman -R zbar-gtk
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: python2-zbar: removing zbar-gtk breaks dependency 'zbar-gtk'
# pacman -R python2-zbar
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: python2-qrtools: removing python2-zbar breaks dependency 'python2-zbar
# sudo pacman -R python2-zbar
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: python2-qrtools: removing python2-zbar breaks dependency 'python2-zbar'
# sudo pacman -R python2-qrtools
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: qtqr: removing python2-qrtools breaks dependency 'python2-qrtools'

Last edited by apollo22 (2018-11-25 17:31:07)

Offline

#2 2018-11-02 16:43:15

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 5,676

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

That's not a bug, if the AUR package requires the package you will have to remove the AUR package to remove the repo package.

What makes you think this is a bug? From where I'm standing you still have zbar-gtk installed now as a member of the dependency chain

Moving to AUR issues

Last edited by V1del (2018-11-02 16:48:23)

Offline

#3 2018-11-02 22:19:23

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 20,435
Website

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

apollo22 wrote:

I enventually uninstalled all the required packages, then uninstalled zbar-gtk, then reinstalled qtqr.

And in doing so, you also reinstalled zbar-gtk as it is a dependency.

If you just wanted to change the installation reason for zbar-gtk from explicit to dependency, then you should read pacman's man page as this is far simpler than what you did.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#4 2018-11-24 13:49:16

apollo22
Member
Registered: 2018-04-13
Posts: 6

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

My bad, zbar-gtk is indeed a dependency of python2-zbar which is a dependency of qtqr, I didn't see that.

But isn't python2-zbar just a library, and zbar-gtk a GUI Application ? (i.e. why do I need zbar-gtk for a python library used by qtqr). Is it a misunderstanding from my part or a package dependency which is not clean (I am not saying they did a bad job, just trying to understand).

Thanks for the replies

Offline

#5 2018-11-24 13:54:48

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 20,435
Website

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

apollo22 wrote:

But isn't python2-zbar just a library, and zbar-gtk a GUI Application?

No.  They both contain libs which would be trivially easy to see if you checked for yourself.


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

#6 2018-11-25 16:28:38

apollo22
Member
Registered: 2018-04-13
Posts: 6

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

I read the packages lists, and from what I can see(based on the files name only), there are only files specific to zbar-gtk in zbar-gtk package. While python2-zbar contains contains a libzbar file, which I would think is the zbar library, independant of the widget toolkit used.

Offline

#7 2018-11-25 16:57:09

Steef435
Member
Registered: 2013-08-29
Posts: 533
Website

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

What do you think of usr/include/zbar/zbargtk.h? Clearly a library header file.

python2-zbar is most likely a binding to the (gtk)zbar libraries. It would not ship its own copy of gtk(zbar).

Offline

#8 2018-11-25 17:24:53

Trilby
Inspector Parrot
Registered: 2011-11-29
Posts: 20,435
Website

Re: [SOLVED] AUR package breaks pacman -R with zbar-gtk

And libzbargtk.so* which are clearly library files, and the .pc file which clearly indicates this is a library that is expected to be used by other programs.  You can run ldd on the contents of python2-zbar and see that it does indeed require libzvargtk.so.  It is *possible* to build zbar and python-zbar without gtk, but this is would limit what it could do - feel free to rebuild it yourself if you'd like, but at the moment all is as it should be.

Last edited by Trilby (2018-11-25 17:34:58)


"UNIX is simple and coherent..." - Dennis Ritchie, "GNU's Not UNIX" -  Richard Stallman

Online

Board footer

Powered by FluxBB